{
  config,
  pkgs,
  ...
}: let
  prometheus_exporter_port = 9100;
in {
  networking.firewall.allowedTCPPorts = [prometheus_exporter_port];

  services.prometheus = {
    exporters = {
      node = {
        enable = true;
        enabledCollectors = ["systemd"];
        port = prometheus_exporter_port;
        # /nix/store/zgsw0yx18v10xa58psanfabmg95nl2bb-node_exporter-1.8.1/bin/node_exporter  --help
        extraFlags = ["--collector.ethtool" "--collector.softirqs" "--collector.tcpstat" "--collector.wifi"];
      };
    };
  };
}
